

{% macro sorting_column(label, sortingField, currentColumn, currentOrder, route) %}
    {% if currentColumn == sortingField %}
        <a href="{{ path(route, {sortingOrder:(currentOrder == 'ASC' ? 'DESC' : 'ASC'), sortingColumn:sortingField}) }}" class="sorting-column" title="Trier">
            {{ label }}&nbsp;<i class="fa fa-angle-{{ currentOrder == 'ASC' ? 'down' : 'up' }}"></i>
        </a>
    {% else %}
        {# ORDRE DE TRI PAR DÉFAUT #}
        <a href="{{ path(route, {sortingOrder:'ASC', sortingColumn:sortingField}) }}" title="Trier">
            {{ label }}
        </a>
    {% endif %}
{% endmacro %}

{% macro ajax_sorting_column(label, sortingField, currentColumn, currentOrder, url) %}
    {% if currentColumn == sortingField %}
        <a href="#" data-url="{{ url ~ '?' ~ "sortingOrder=" ~ (currentOrder == 'ASC' ? 'DESC' : 'ASC') ~ "&sortingColumn=" ~ sortingField }}" class="sorting-column ajax-sorting-column" title="Trier">
            {{ label }}&nbsp;<i class="fa fa-angle-{{ currentOrder == 'ASC' ? 'down' : 'up' }}"></i>
        </a>
    {% else %}
        {# ORDRE DE TRI PAR DÉFAUT #}
        <a href="#" data-url="{{ url ~ '?' ~ "sortingOrder=ASC" ~ "&sortingColumn=" ~ sortingField }}" class="ajax-sorting-column" title="Trier">
            {{ label }}
        </a>
    {% endif %}
{% endmacro %}

{% macro modal_form_btn_link(url, name = null, icon = null, title = null, btnStyle='default', btnSize='sm') %}  
    <a class="btn btn-{{ btnStyle }} btn-{{ btnSize}} modal-form" href="#" actionUrl="{{ url }}" title="{{ title }}">{% if icon %}<i class="fa {{ icon }}"></i>{% endif %} 
        {{ name }}
    </a>
{% endmacro %}
                                
{% macro post_btn_link(url, name = null, icon = null, title = null, btnStyle='default', btnSize='sm') %}  
    <a class="btn btn-{{ btnStyle }} btn-{{ btnSize}} modal-form" href="{{ url }}" data-lock="true" data-method="post" title="{{ title }}">{% if icon %}<i class="fa {{ icon }}"></i>{% endif %} 
        {{ name }}
    </a>
{% endmacro %}

{% macro btn_link(url, name = null, icon = null, title = null, btnStyle='default', btnSize='sm') %}
   <a class="btn btn-{{ btnStyle }} btn-{{ btnSize}} modal-form" href="{{ url }}" title="{{ title }}">{% if icon %}<i class="fa {{ icon }}"></i>{% endif %} 
        {{ name }}
    </a>
{% endmacro %}

{% macro simple_title(title) %}
        <div class="row" style="background-color: #D3D3D3; margin-bottom: 10px;">
            <div class="col-xs-8 col-xs-offset-4">
                <h4><strong>{{ title }}</strong></h4>
            </div>
        </div>
{% endmacro %}

{% macro simple_title_no_padding(title) %}
        <div class="row" style="background-color: #D3D3D3;">
            <div class="col-xs-8 col-xs-offset-4">
                <h4><strong>{{ title }}</strong></h4>
            </div>
        </div>
{% endmacro %}

{% macro labeled_value(item, title, raw, rowClass, labelColNb) %}
    <div class="row {{ rowClass }}">
        <div class="col-xs-{{ labelColNb|default('4') }} text-right" style="margin-bottom: 1em;">{{ title ? title|raw }}</div>
        <div class="col-xs-{{ labelColNb ? (12 - labelColNb) : '8' }}" style="margin-bottom: 1em;">
            <strong>
            {% if raw %}
                {{ item|raw }}
            {% else %}
                {{ item }}
            {% endif %}
            </strong>
        </div>
    </div>
{% endmacro %}

{% macro bool_true_false(item, title, trueMessage, falseMessage, labelColNb) %}
    <div class="row">
        <div class="col-xs-{{ labelColNb|default('4') }} text-right">
            {{ title ? title }}
        </div>
        <div class="col-xs-{{ labelColNb ? (12 - labelColNb) : '8' }}"> 
            <strong>
                {% if item == true %}
                    {{ trueMessage|raw }}
                {% elseif item == false %}
                    {{ falseMessage|raw }}
                {% endif %} {# Sinon item est null on affiche rien #}
            </strong>
        </div>
    </div>
{% endmacro %}

{% macro title_field_path_new_window(title, field, link, labelColNb) %}
    <div class="row">
        <div class="col-xs-{{ labelColNb|default('4') }} text-right">{{ title }}</div>
        <div class="col-xs-{{ labelColNb ? (12 - labelColNb) : '8' }}">
            <strong>{{ field }}</strong>&nbsp;&nbsp;&nbsp;
            <a target='_blank' href='{{ link }}' class='btn btn-xs btn-primary' title='Voir dans une nouvelle fenêtre'><i class='fa fa-external-link cae-green'></i></a>
        </div>
    </div>
{% endmacro %}

{% macro if_exists(item, title, raw, rowClass) %}
    {% import _self as this %}
    {% if item and item != '' %}
        {{ this.labeled_value(item, title, raw, rowClass) }}
    {% endif %}
{% endmacro %}

{% macro if_date_exists(item, title) %}
    {% if item %}
        <div class="row">
            <div class="col-xs-4 text-right">
                {{ title ? title }}
            </div>
            <div class="col-xs-8"> 
                <strong>{{ item|date('d/m/Y') }}</strong>
            </div>
        </div>
    {% endif %}
{% endmacro %}

{% macro bool_true_false(item, title, trueMessage, falseMessage, labelColNb) %}
    <div class="row">
        <div class="col-xs-{{ labelColNb|default('4') }} text-right">
            {{ title ? title }}
        </div>
        <div class="col-xs-{{ labelColNb ? (12 - labelColNb) : '8' }}"> 
            <strong>
                {% if item == true %}
                    {{ trueMessage|raw }}
                {% elseif item == false %}
                    {{ falseMessage|raw }}
                {% endif %} {# Sinon item est null on affiche rien #}
            </strong>
        </div>
    </div>
{% endmacro %}

{% macro if_bool_exists(item, title) %}
    {% if item is not null %}
        <div class="row">
            <div class="col-xs-4 text-right">
                {{ title ? title }}
            </div>
            <div class="col-xs-8"> 
                <strong>{{ item ? 'Oui' : 'Non' }}</strong>
            </div>
        </div>
    {% endif %}
{% endmacro %}

{% macro bool_yes_no(item, title) %}
    <div class="row">
        <div class="col-xs-4 text-right">
            {{ title ? title }}
        </div>
        <div class="col-xs-8">
            <strong>
                {% if item %}
                    Oui <i class="fa fa-check"></i>
                {% else %}
                    Non <i class="fa fa-times cae-red"></i>
                {% endif %}
            </strong>                
        </div>
    </div>
{% endmacro %}

{% macro header_and_link(header, link) %}
    <div class="row" style="background-color: #D3D3D3; margin-bottom: 0px;">
        <div class="col-xs-8 col-xs-offset-4">
            <h4><strong>{{ header }}</strong>&nbsp;&nbsp;&nbsp;{% if link|default(null) %}{{ link|raw }}{% endif %}</h4>
        </div>
    </div>
{% endmacro %}

{% macro panel_header(header) %}
    {% import _self as this %}
    {{ this.header_and_link(header, null) }}
{% endmacro %}

{% macro title_field_link(title, field, link) %}
    <div class="row">
        <div class="col-xs-4 text-right">{{ title }}</div>
        <div class="col-xs-8">
            <strong>{{ field }}</strong>&nbsp;&nbsp;&nbsp;{{ link|raw }}
        </div>
    </div>
{% endmacro %}
